class AR::Events::ARObjectEnteredInhabitableEvent < AR::Events::Event
  attr_participant :inhabitable
  attr_participant :enterer
  attr_participant :gateway
  attr_accessor :placement
  

  def initialize params
    super params
    @placement = params[:placement]
  end

  def default_story
    "#{self.enterer.name.capitalize} is entering #{self.inhabitable.name}."
  end

end
